Bug 726632 - registration process return traceback
registration process return traceback
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.2
x86_64 Unspecified
high Severity high
: rc
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-07-29 05:14 EDT by Nikola Pajkovsky
Modified: 2014-02-02 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 12:55:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikola Pajkovsky 2011-07-29 05:14:41 EDT
simple registration doesn't work and I end up with trackeback

Version-Release number of selected component (if applicable):
subscription-manager-0.96.4-1.el6.x86_64

How reproducible:
try on rhel6-nightly register machine

Steps to Reproduce:
$ subscription-manager register

Actual results:
2011-07-29 11:06:13,553 [INFO]  @connection.py:324 - Using basic authentication as: rhn-engineering-npajkovs
2011-07-29 11:06:13,553 [DEBUG]  @connection.py:175 - Loading CA PEM certificates from: /etc/rhsm/ca/
2011-07-29 11:06:13,553 [DEBUG]  @connection.py:160 - Loading CA certificate: '/etc/rhsm/ca/fakamai-cp1.pem'
2011-07-29 11:06:13,553 [DEBUG]  @connection.py:160 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2011-07-29 11:06:13,553 [DEBUG]  @connection.py:160 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2011-07-29 11:06:13,554 [DEBUG]  @connection.py:196 - Making request: GET /subscription/
2011-07-29 11:06:13,730 [WARNING]  @connection.py:368 - Error fetching supported resources, this UEPConnection is likely not usable:
2011-07-29 11:06:13,730 [ERROR]  @connection.py:370 - [Errno 111] Connection refused
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 361, in _load_supported_resources
    resources_list = self.conn.request_get("/")
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 237, in request_get
    return self._request("GET", method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 197, in _request
    conn.request(request_type, handler, body=body, headers=self.headers)
  File "/usr/lib64/python2.6/httplib.py", line 914, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.6/httplib.py", line 951, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.6/httplib.py", line 908, in endheaders
    self._send_output()
  File "/usr/lib64/python2.6/httplib.py", line 780, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.6/httplib.py", line 739, in send
    self.connect()
  File "/usr/lib64/python2.6/site-packages/M2Crypto/httpslib.py", line 50, in connect
    self.sock.connect((self.host, self.port))
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Connection.py", line 181, in connect
    self.socket.connect(addr)
  File "<string>", line 1, in connect
error: [Errno 111] Connection refused
2011-07-29 11:06:13,731 [INFO]  @connection.py:347 - Connection Established: host: subscriptions.rhn.webqa.redhat.com, port: 443, handler: /subscription
2011-07-29 11:06:13,731 [DEBUG]  @connection.py:175 - Loading CA PEM certificates from: /etc/rhsm/ca/
2011-07-29 11:06:13,731 [DEBUG]  @connection.py:160 - Loading CA certificate: '/etc/rhsm/ca/fakamai-cp1.pem'
2011-07-29 11:06:13,731 [DEBUG]  @connection.py:160 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2011-07-29 11:06:13,732 [DEBUG]  @connection.py:160 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2011-07-29 11:06:13,732 [DEBUG]  @connection.py:196 - Making request: GET /subscription/users/rhn-engineering-npajkovs/owners
2011-07-29 11:06:13,895 [ERROR]  @managercli.py:52 - Error during registration: [Errno 111] Connection refused
2011-07-29 11:06:13,895 [ERROR]  @managercli.py:53 - [Errno 111] Connection refused
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 494, in _do_command
    owner_key = self._determine_owner_key(admin_cp)
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 549, in _determine_owner_key
    owners = cp.getOwnerList(self.username)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 458, in getOwnerList
    return self.conn.request_get(method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 237, in request_get
    return self._request("GET", method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 197, in _request
    conn.request(request_type, handler, body=body, headers=self.headers)
  File "/usr/lib64/python2.6/httplib.py", line 914, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.6/httplib.py", line 951, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.6/httplib.py", line 908, in endheaders
    self._send_output()
  File "/usr/lib64/python2.6/httplib.py", line 780, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.6/httplib.py", line 739, in send
    self.connect()
  File "/usr/lib64/python2.6/site-packages/M2Crypto/httpslib.py", line 50, in connect
    self.sock.connect((self.host, self.port))
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Connection.py", line 181, in connect
    self.socket.connect(addr)
  File "<string>", line 1, in connect
error: [Errno 111] Connection refused
Comment 2 Bryan Kearney 2011-07-29 07:22:48 EDT
Can you please add the python-rhsm version and the contents of the rhsm.conf file? Thanks!
Comment 3 Nikola Pajkovsky 2011-07-29 07:37:01 EDT
here we go...

$ rpm -q python-rhsm
python-rhsm-0.96.7-1.el6.noarch

# cat /etc/rhsm/rhsm.conf 
# Red Hat Subscription Manager Configuration File:

# Unified Entitlement Platform Configuration
[server]
# Server hostname:
hostname = subscriptions.rhn.webqa.redhat.com

# Server prefix:
prefix = /subscription

# Server port:
port = 443

# Set to 1 to disable certificate validation:
insecure = 0

# Set the depth of certs which should be checked
# when validating a certificate
ssl_verify_depth = 3

# Server CA certificate location:
ca_cert_dir = /etc/rhsm/ca/

# an http proxy server to use
proxy_hostname =

# port for http proxy server
proxy_port = 

# user name for authenticating to an http proxy, if needed
proxy_user =

# password for basic http proxy auth, if needed
proxy_password =

[rhsm]
# Content base URL:
baseurl= https://mockamai.devlab.phx1.redhat.com

# Default CA cert to use when generating yum repo configs:
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem

# Where the certificates should be stored
productCertDir = /etc/pki/product
entitlementCertDir = /etc/pki/entitlement
consumerCertDir = /etc/pki/consumer

[rhsmcertd]
# Frequency of certificate refresh (in minutes):
certFrequency = 240
Comment 4 John Sefler 2011-07-29 09:00:52 EDT
I'm confident that the problem here is that the webqa env is currently running candlepin 0.3* which does not have all the new multi-owner features baked in to it while the subscription-manager packages that are getting pulled into the nightly rhel62 composes are based on recent code.

In otherwords, the new subscription-manager packages targeted for rhel62 are NOT backward compatible (and will NOT be) with the candlepin 0.3* server.

Testing of subscription-manager package within the nightly rhel62 composes is effectively blocked until IT deploys the latest and greatest candlepin 0.4 server.

Temporarily, the following brew builds should probably be deleted until IT upgrades their candlepin server so that the nightly rhel62 composes are at least usable w.r.t subscription entitlements.
subscription-manager-0.96.4-1.el6
subscription-manager-0.96.2-1.el6

Note You need to log in before you can comment on or make changes to this bug.